DPT(4)

NAME
dpt - DPT RAID Controller SCSI driver

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device scbus
device dpt

For one or more EISA cards:
device eisa

For one or more PCI cards:
device pci

To allow PCI adapters to use memory mapped I/O if enabled:
options DPT_ALLOW_MEMIO

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    dpt_load="YES"

DESCRIPTION
The dpt driver supports DPT RAID SCSI controllers.

SmartRAID (PM3???) are "Enterprise" class cards, and SmartCache (PM2???) cards are in the "Workstation" class. The Gen 4 Smart Cache IV products were a re-issue of the Gen 3 utilizing upgraded (and cheaper to produce) silicon. The PM3334 (Smart RAID III) was not revamped as there was no upgraded silicon (68040 processor) and it was using the best DPT made. Note there has been customer confusion over the faster enterprise class card supported by this driver being an older generation. The Gen5 cards are supported by the asr(4) driver.

HARDWARE
The dpt driver provides support for the following RAID adapters:

•   DPT Smart Cache Plus
•   Smart Cache II (PM2?2?, PM2022 [EISA], PM2024/PM2124 [PCI]) (Gen2)
•   Smart RAID II (PM3?2?, PM3021, PM3222)
•   Smart Cache III (PM2?3?)
•   Smart RAID III (PM3?3?, PM3332 [EISA], PM3334UW [PCI]) (Gen3)
•   Smart Cache IV (PM2?4?, PM2042 [EISA], PM2044/PM2144 [PCI]) (Gen4)
•   Smart RAID IV

SEE ALSO
asr(4), cd(4), ch(4), da(4), sa(4), scsi(4)

HISTORY
The dpt driver first appeared in FreeBSD 2.2.6.

AUTHORS
-nosplit The dpt driver was written by Simon Shapiro and ported to the CAM SCSI system by Justin T. Gibbs.